<!--
  Generated template for the OpenRideListPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Open Rides</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="grey-background">

	<div *ngIf="driver == false">
    <div class="text-center pad-sides pad-top">
      <h2 ion-text-center class="text-theme">You're not approved to drive yet.</h2>
      <p class="pad-bottom">Please take photos of your valid driver's license, insurance card, registration and vehicle and then click the "Apply to Drive" button below. It can take up to 24 hours to be approved to drive.</p>
      <button (click)="driverApply()" ion-button block class="bg-theme text-white btn rounded">
        Apply To Drive 
      </button>
    </div>
  </div>

  <div>
    <ion-list inset *ngFor="let r of rides; let i = index" class="text-center rides">
      <ion-card>
        <ion-card-content>
          <ion-grid>
            <ion-row>
            	<ion-col col-12></ion-col>
            </ion-row>	
            <ion-row (click)="editRide(r)">
            	<ion-col col-4 class="text-center">
            	  <small> Seat Price </small> 
                <h2 class="text-theme "> <strong>${{r.price}}</strong></h2>
                <small>Seats </small>
                <p>{{r.seats}}</p> 
              </ion-col>

              <ion-col col-5>
              	<small> Date Range </small> 
                <p>{{r.open_date_from | date: 'mediumDate'}} <br/> to <br />
                	 {{r.open_date_to | date: 'mediumDate'}}
                </p>
              </ion-col>

              <ion-col col-3>
              	<small>Hours</small> 
              	<label *ngFor="let hour of r.hours, let j = index"class="badge badge-success">{{hour.hour}}</label>
              </ion-col>
            </ion-row>
            <ion-row>
            	<div class="ride-detail">
                  <p><span class="icon-location bg-theme"> </span> 
                  	{{r.city_from}} </p>
                  <p><span class="icon-location bg-stop"></span> 
                  	{{r.city_to}} </p>
            	</div>
            </ion-row>
            <ion-row>
              <ion-col col-5></ion-col>
              <ion-col col-2>
                <ion-icon name="create" (click)="editRide(r)" class="icon-big-grey"></ion-icon> 
              </ion-col>
              <ion-col col-2>
                <ion-icon name="trash" (click)="deleteRide(r.id, i)" class="icon-big-red"></ion-icon>
              </ion-col>
              <ion-col col-3>
                <ion-toggle [(ngModel)]="r.active" (ngModelChange)="changeStatus(r.id)"></ion-toggle>
              </ion-col>
            </ion-row>
          </ion-grid> 
        </ion-card-content>
      </ion-card>
    </ion-list>
  </div>

  <div *ngIf="rides.length == 0 && driver == true" class="text-center pad-all-10"> 
      <p>You have no rides.</p> 
  </div>

	<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content></ion-infinite-scroll-content>
	</ion-infinite-scroll>

</ion-content>
